Package org.opensaml.saml.metadata.resolver

# Interface RemoteMetadataResolver

All Superinterfaces:
  `Component`, `IdentifiedComponent`, `MetadataResolver`, `Resolver<EntityDescriptor,CriteriaSet>`

All Known Implementing Classes:
  `FileBackedHTTPMetadataResolver`, `FunctionDrivenDynamicHTTPMetadataResolver`, `HTTPMetadataResolver`

public interface RemoteMetadataResolver extends MetadataResolver
A `MetadataResolver` that obtains metadata from a remote source.

Since:
  5.0.0

## Method Summary

Modifier and Type
Method
Description
`String`
`getMetadataURI()`
Gets the URI from which this resolver is obtaining metadata.

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

### Methods inherited from interface org.opensaml.saml.metadata.resolver.MetadataResolver

`getMetadataFilter, getType, isRequireValidMetadata, setMetadataFilter, setRequireValidMetadata`

### Methods inherited from interface net.shibboleth.shared.resolver.Resolver

`resolve, resolveSingle`

## Method Details

### getMetadataURI

@Nullable String getMetadataURI()
Gets the URI from which this resolver is obtaining metadata.

Returns:
  URL source of metadata